.\" DO NOT MODIFY THIS FILE! it was generated by rd2
.TH MILTER-TEST-CLIENT 1 "June 2013"
.SH milter\-test\-client / milter manager / milter manager's manual
.SS NAME
.PP
milter\-test\-client \- milter side milter protocol implemented program
.SS SYNOPSIS
.PP
\&\fBmilter\-test\-client\fP [\fIoption ...\fP]
.SS DESCRIPTION
.PP
milter\-test\-client is a milter that just shows received data
from MTA. It also shows macros received from MTA, it can be
used for confirming MTA's milter configuration.
.PP
Postfix's source archive includes similar tool.
It's src/milter/test\-milter.c. It seems that it's used for
testing Postfix's milter implementation. But test\-milter
doesn't show macros. If you have a milter that doesn't work
as you expect and uses macro, milter\-test\-client is useful
tool for looking into the problems.
.SS Options
.TP
.fi
.B
\-\-help
Shows available options and exits.
.TP
.fi
.B
\-\-connection\-spec=SPEC
Specifies a socket that accepts connections from
MTA. SPEC should be formatted as one of the followings:

.IP
.B
\(bu
unix:PATH
.IP
.B
\(bu
inet:PORT
.IP
.B
\(bu
inet:PORT@HOST
.IP
.B
\(bu
inet:PORT@[ADDRESS]
.IP
.B
\(bu
inet6:POST
.IP
.B
\(bu
inet6:PORT@HOST
.IP
.B
\(bu
inet6:PORT@[ADDRESS]

Examples:

.IP
.B
\(bu
unix:/tmp/milter\-test\-client.sock
.IP
.B
\(bu
inet:10025
.IP
.B
\(bu
inet:10025@localhost
.IP
.B
\(bu
inet:10025@[127.0.0.1]
.IP
.B
\(bu
inet6:10025
.IP
.B
\(bu
inet6:10025@localhost
.IP
.B
\(bu
inet6:10025@[::1].TP
.fi
.B
\-\-verbose
Logs verbosely.

"MILTER_LOG_LEVEL=all" environment variable configuration
has the same effect..TP
.fi
.B
\-\-syslog
Logs Syslog too.
.TP
.fi
.B
\-\-no\-report\-request
Doesn't show any information received from MTA.
.TP
.fi
.B
\-\-report\-memory\-profile
Reports memory usage each milter session finished.

When MILTER_MEMORY_PROFILE environment variable is set to
'yes', details are reported.

Example:

.nf
\&    % MILTER_MEMORY_PROFILE=yes milter\-test\-client \-s inet:10025
.fi.TP
.fi
.B
\-\-daemon
Runs as daemon process.
.TP
.fi
.B
\-\-user=USER
Runs as USER's process. root privilege is needed.
.TP
.fi
.B
\-\-group=GROUP
Runs as GROUP's process. root privilege is needed.
.TP
.fi
.B
\-\-unix\-socket\-group=GROUP
Changes UNIX domain socket group to GROUP when
"unix:PATH" format SPEC is used.
.TP
.fi
.B
\-\-n\-workers=N_WORKERS
Runs N_WORKERS processes to process mails.
Availble value is between 0 and 1000.
If it is 0, no worker processes will be used.

\fINOTE: This item is an experimental feature.\fP.TP
.fi
.B
\-\-event\-loop\-backend=BACKEDN
Uses BACKEND as event loop backend.
Availble values are glib or libev.

\fINOTE: This item is an experimental feature.\fP.TP
.fi
.B
\-\-packet\-buffer\-size=SIZE
Uses SIZE as send packets buffer size on
end\-of\-message. Buffered packets are sent when buffer
size is rather than SIZE bytes. Buffering is
disabled when SIZE is 0.

The default is 0KB. It means packet buffering is disabled
by default..TP
.fi
.B
\-\-version
Shows version and exits.
.SS EXIT STATUS
.PP
The exit status is 0 if milter starts to listen and non 0
otherwise. milter\-test\-client can't start to listen when
connection spec is invalid format or other connection
specific problems. e.g. the port number is already used,
permission isn't granted for create UNIX domain socket and
so on.
.SS EXAMPLE
.PP
The following example runs a milter which listens at 10025
port and waits a connection from MTA.
.nf
\&    % milter\-test\-client \-s inet:10025
.fi
.SS SEE ALSO
.PP
milter\-test\-server.rd(1),
milter\-performance\-check.rd(1)

